All deployed products

All deployed products
All deployed products

All deployed products

Request
URI
GET
https://{opsmanager-installation}/api/v0/deployed/products
COPY
Responses
200

OK

Returns DeployedProducts of type(s) application/json
[
    {
        "installation_name": "string",
        "guid": "string",
        "type": "string",
        "product_version": "string",
        "label": "string",
        "service_broker": false,
        "bosh_read_creds": false,
        "license_metadata": [
            {
                "expiry": "string",
                "product_name": "string",
                "product_version": "string",
                "property_reference": "string"
            }
        ],
        "stale": {
            "parent_products_deployed_more_recently": [
                "string"
            ]
        }
    }
]
array of
Optional

400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/deployed/products